> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Access Token

> Get the access token of a user



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/platform_swagger.json post /platform/api/v1/users/{id}/token
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Accounts
    description: Account management APIs
  - name: Account Users
    description: Account user management APIs
  - name: AgentBots
    description: Bot integrations
  - name: Users
    description: User management APIs
paths:
  /platform/api/v1/users/{id}/token:
    parameters:
      - $ref: '#/components/parameters/platform_user_id'
    post:
      tags:
        - Users
      summary: Get User Access Token
      description: Get the access token of a user
      operationId: post-user-token
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_token:
                    type: string
                    description: Access token of the user
                  expiry:
                    type:
                      - integer
                      - 'null'
                    description: Expiry timestamp
                  user:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: User ID
                      name:
                        type: string
                        description: User's full name
                      display_name:
                        type: string
                        description: User's display name
                      email:
                        type: string
                        description: User's email address
                      pubsub_token:
                        type: string
                        description: User's pubsub token
        '401':
          description: Unauthorized
        '404':
          description: The given user does not exist
      security:
        - platformAppBearerAuth: []
        - platformAppApiKey: []
components:
  parameters:
    platform_user_id:
      in: path
      name: id
      schema:
        type: integer
      required: true
      description: The numeric ID of the user on the platform
  securitySchemes:
    platformAppBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using a platform app
        token from **Super Admin**. Available in Chatwoot `v4.19.0` and later.
    platformAppApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Create a platform app in **Super Admin** to get its token. For new
        integrations, use Bearer authentication in Chatwoot `v4.19.0` and later.
        Platform app tokens can provision agent bots, accounts, users, and
        roles.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.